[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TCustomConnection.AfterConnect

Event triggered after a connection is made.

## Declaration

Source position: db.pas line 1915

`published property TCustomConnection.AfterConnect : TNotifyEvent read FAfterConnect write SetAfterConnect;`

## Description

AfterConnect is called after a connection is succesfully established in TCustomConnection.Open. It can be used to open datasets, or indicate a connection status change.

## See also

TCustomConnection.Open |  | Makes the connection to the server
TCustomConnection.BeforeConnect |  | Event triggered before a connection is made.
TCustomConnection.OnLogin |  | Event triggered when a login prompt is shown.

Documentation generated on: Feb 26 2014